Per ticket 14672, WP_USE_MULTIPLE_DB will not be supported in 3.1 I don’t think many were using it, thankfully. Hyperdb is preferred if you want to do a multiple db setup.